/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Parada;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class RenderTaxaEmbarqueParadaLocalidade implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Parada parada = (Parada) o;

        Listcell lc = new Listcell(parada.getParadaId()==null?"-":parada.getParadaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(parada.getDescparada());
        lc.setParent(lstm);

        lstm.setAttribute("data", parada);
    }

}
